Name:           python-pretix-sepadebit
Version:        2.6.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        This plugin adds SEPA direct debit support to pretix

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://pypi.org/project/pretix-sepadebit/
Source:         %{pypi_source pretix_sepadebit}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pretix-sepadebit' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pretix-sepadebit
Summary:        %{summary}

%description -n python3-pretix-sepadebit %_description


%prep
%autosetup -p1 -n pretix_sepadebit-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pretix-sepadebit -f %{pyproject_files}


%changelog
%autochangelog